Modify

Opened 5 years ago

Closed 4 years ago

Last modified 4 years ago

#10448 closed defect (othersoftware)

Opening .osm.bz2 files no longer works

Reported by: Stereo Owned by: team
Priority: normal Milestone:
Component: Core Version:
Keywords: bz2 bzip2 compression apache ant commons compress javabug 7u76 8u31 Cc:

Description

Opening a .osm.bz2 file produces an error.

What steps will reproduce the problem?

  1. bzip2 -9 foo.osm
  2. Open foo.osm.bz2 in JOSM

Expected results:

JOSM loads the osm data

Actual results:

JOSM fails to open the file

Workaround:

Manually decompressing the file and then opening it works.

Notes:

This is JOSM 7477 on Java 1.8.0_20 on Mac OS X 10.9.4. I'm not sure when this stopped working.

Attachments (1)

Bzip2Test.java (1.2 KB) - added by Hojoe 4 years ago.
uncompress luxembourg-20140903_121227.osm.bz2

Download all attachments as: .zip

Change History (14)

comment:1 Changed 5 years ago by Don-vip

Owner: changed from team to Stereo
Status: newneedinfo

Can you please attach a file that fails?

comment:2 Changed 5 years ago by Stereo

Sorry for the delay. http://osm.kewl.lu/luxembourg.osm/luxembourg-20140903_121227.osm.bz2 reproduces the bug for me.

The error I get is :

Could not read file 'luxembourg-20140903_121227.osm.bz2'.
Error is:
Illegal value for attribute 'version' on OSM primitive with ID 69718798. Got t4. (at line 18,168, column 152)

comment:3 Changed 5 years ago by Don-vip

Owner: changed from Stereo to team
Status: needinfonew

comment:4 Changed 5 years ago by skyper

Cannot reproduce though it takes some time. Do you allow enough memory ? Would you please add your status report.

The data seems to have some errors though:

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-09-04 01:34:19
Last Changed Author: Don-vip
Revision: 7489
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-09-04 01:12:48 +0200 (Thu, 04 Sep 2014)
Last Changed Rev: 7489

Identification: JOSM/1.5 (7489 en) Linux Debian GNU/Linux 7.6 (wheezy)
Memory Usage: 756 MB / 882 MB (207 MB allocated, but free)
Java version: 1.7.0_65, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-7-jre:amd64-7u65-2.5.1-5~deb7u1
Program arguments: [luxembourg-20140903_121227.osm.bz2]

Dataset consistency test:
[WARN - NO NODES] Way {Way id=101096823 version=3 VT nodes=[{Node id=314824148 version=2 V lat=50.0539664,lon=6.0589953}]} has only one node
[WARN - NO NODES] Way {Way id=299072982 version=1 V nodes=[{Node id=3030164875 version=1 VT lat=49.6916944,lon=6.1839002}]} has only one node
[WARN - NO NODES] Way {Way id=292950958 version=1 V nodes=[{Node id=267035605 version=9 V lat=49.6797841,lon=5.9204109}]} has only one node


Plugins:
- OpeningHoursEditor (30609)
- conflation (0.1.7)
- imagery-xml-bounds (30495)
- jts (30416)
- mirrored_download (30495)
- notes (v0.9.4)
- photoadjust (30428)
- reverter (30521)
- terracer (30614)
- todo (29154)
- undelete (30416)
- utilsplugin2 (30460)
- wikipedia (30449)

Last errors/warnings:
- W: Detected deprecated 'canvas{background-color}' in 'https://github.com/bastik/mapcss-tools/raw/osm/mapnik2mapcss/osm-results/mapnik.zip' which will be removed shortly. Use 'fill-color' instead.

comment:5 Changed 5 years ago by skyper

Had a closer look at the console and it seems like JOSM is loading some data in wrong order.

----- first part missing -----
INFO: Way 24,058,337 with 45 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 294,514,025 with 7 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,058,391 with 42 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,058,461 with 2 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,058,456 with 4 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,058,458 with 2 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,058,438 with 2 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,058,440 with 6 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 35,573,782 with 13 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,058,742 with 20 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,058,774 with 24 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 168,014,783 with 10 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 141,820,585 with 8 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,058,917 with 56 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,059,017 with 143 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 35,575,546 with 55 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 120,583,088 with 2 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 35,575,223 with 15 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 167,191,389 with 46 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,056,016 with 136 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,056,410 with 13 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 32,129,733 with 3 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 210,393,502 with 5 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 29,900,462 with 59 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 126,974,740 with 5 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 150,836,719 with 4 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 35,571,224 with 5 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 189,802,997 with 12 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 206,543,147 with 38 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 105,855,287 with 11 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 54,432,345 with 13 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 268,848,185 with 12 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 105,854,740 with 5 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 105,854,482 with 12 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 36,975,364 with 8 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 105,854,662 with 7 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 294,516,491 with 40 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 50,681,719 with 4 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 207,529,023 with 40 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 25,455,235 with 3 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 89,176,928 with 6 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 89,176,934 with 4 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 89,176,927 with 27 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 182,428,167 with 69 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 182,428,143 with 45 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 115,302,846 with 34 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 115,302,464 with 36 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 165,281,094 with 18 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 165,281,092 with 36 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 165,281,093 with 5 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 165,281,081 with 400 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 167,200,860 with 65 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 167,200,857 with 20 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 167,200,853 with 39 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 237,107,052 with 16 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 237,106,938 with 31 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 237,107,650 with 23 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 237,108,027 with 9 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 75,917,892 with 34 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 75,917,894 with 8 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 75,917,891 with 28 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 297,719,261 with 10 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 75,917,868 with 23 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 108,550,310 with 10 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 285,476,761 with 14 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 297,719,339 with 8 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 297,719,342 with 8 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 297,719,350 with 9 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 139,615,329 with 3 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 31,025,961 with 7 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 31,025,962 with 4 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 152,102,250 with 8 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,284,395 with 2 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 61,510,165 with 3 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,284,257 with 35 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,284,258 with 4 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 115,309,064 with 42 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 288,833,855 with 5 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 288,833,773 with 6 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 44,020,909 with 2 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 51,399,337 with 150 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 237,104,642 with 22 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 29,413,243 with 23 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 26,859,078 with 22 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 100,874,059 with 58 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 100,874,072 with 25 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 35,312,364 with 5 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 35,312,363 with 5 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 35,312,359 with 11 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 35,312,355 with 3 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 26,860,663 with 18 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 36,987,960 with 10 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 247,033,075 with 73 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 36,987,607 with 41 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 85,774,588 with 78 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 245,667,171 with 88 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 131,673,924 with 23 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 35,997,696 with 304 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 35,997,581 with 394 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 294,499,991 with 10 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 34,338,653 with 298 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 277,063,197 with 546 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 151,063,203 with 16 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 151,063,200 with 51 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 28,189,741 with 518 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 28,189,913 with 355 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 43,999,805 with 31 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 126,624,058 with 127 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 29,298,849 with 158 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 65,411,435 with 17 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 135,398,876 with 57 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 56,132,229 with 10 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 56,132,230 with 10 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 56,132,231 with 15 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 56,132,232 with 9 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 106,624,053 with 25 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 147,465,089 with 20 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 280,275,375 with 12 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 246,761,474 with 21 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 29,051,713 with 9 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 268,609,986 with 46 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 126,385,911 with 19 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 110,357,213 with 59 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 23,283,094 with 24 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 25,493,467 with 117 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 80,400,826 with 5 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 80,400,837 with 585 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 82,077,668 with 24 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 172,208,293 with 6 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 172,208,288 with 26 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 172,208,287 with 20 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 172,208,286 with 11 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 280,512,887 with 15 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 280,512,880 with 32 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 280,512,893 with 21 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 222,670,744 with 5 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 293,578,356 with 247 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 293,578,354 with 246 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,832,653 with 40 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 222,670,526 with 10 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 161,879,864 with 10 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 165,223,557 with 122 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 186,868,729 with 8 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 186,868,731 with 11 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,523,987 with 27 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,524,015 with 18 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 106,616,276 with 34 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 199,670,883 with 13 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 43,995,883 with 46 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 126,623,595 with 53 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 201,787,814 with 19 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 236,329,266 with 5 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 236,329,253 with 40 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 154,109,533 with 107 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 33,286,714 with 81 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 234,573,855 with 15 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 173,204,592 with 11 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 173,204,589 with 51 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 67,353,163 with 135 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 144,671,894 with 4 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 144,671,898 with 9 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 67,353,527 with 66 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 293,586,371 with 2 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 182,773,439 with 48 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 298,872,754 with 14 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 233,712,237 with 11 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 233,712,411 with 22 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 189,365,480 with 24 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 189,365,476 with 8 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 189,365,474 with 6 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 105,892,150 with 23 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 105,892,175 with 18 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 106,887,469 with 38 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 106,887,629 with 15 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 148,833,076 with 96 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 105,892,034 with 22 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 105,892,068 with 59 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,806,863 with 3 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 294,712,343 with 21 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 149,213,363 with 29 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 149,213,366 with 44 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 221,959,358 with 6 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 144,431,443 with 40 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,250,070 with 5 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,250,339 with 29 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 50,946,272 with 12 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 50,946,273 with 107 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,250,880 with 12 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 128,110,117 with 21 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 289,361,957 with 5 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 156,044,337 with 16 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,250,795 with 32 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 171,753,534 with 14 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 128,109,231 with 70 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 260,883,375 with 5 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 33,815,120 with 36 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 150,816,845 with 10 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 150,816,846 with 10 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 150,816,847 with 167 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 113,664,356 with 13 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 137,227,333 with 4 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 33,814,625 with 112 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 31,053,553 with 1,146 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 207,024,033 with 54 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 25,476,122 with 2 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 25,476,113 with 2 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 89,135,149 with 12 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 282,783,307 with 91 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 41,744,436 with 18 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 121,980,634 with 26 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 144,681,327 with 26 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 126,354,399 with 34 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 137,224,809 with 9 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 137,224,806 with 65 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 137,224,800 with 52 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 51,931,640 with 6 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 160,761,503 with 24 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 33,813,956 with 107 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,539,662 with 18 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 35,275,716 with 28 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 193,519,463 with 8 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 78,146,688 with 4 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 78,146,682 with 7 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 78,146,686 with 10 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 78,146,684 with 5 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 78,146,685 with 4 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 78,146,675 with 5 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 78,146,679 with 3 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 78,146,676 with 8 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 67,341,675 with 907 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 290,539,232 with 9 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 28,832,553 with 102 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 56,160,531 with 29 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 122,258,393 with 3 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 122,258,394 with 14 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 144,718,662 with 8 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 150,542,714 with 16 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 30,496,344 with 11 nodes has incomplete nodes because at least one node was missing in the loaded data.
INFO: Way 24,260,367 with 10 nodes has incomplete nodes because at least one node was missing in the loaded data.

comment:6 Changed 5 years ago by Stereo

One-node ways happen when people don't use JOSM :)

Not tagging this as macosx because don-vip managed to reproduce it (on Linux?) the other day.

My JOSM actually has more memory than yours:

Revision: 7480
Repository Root: http://josm.openstreetmap.de/svn
Last Changed Author: Don-vip
Last Changed Date: 2014-08-31 23:51:24 +0200 (Sun, 31 Aug 2014)
Build-Date: 2014-08-31 21:55:55
URL: http://josm.openstreetmap.de/svn/trunk
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last Changed Rev: 7480

Identification: JOSM/1.5 (7480 en_GB) Mac OS X 10.9.4
Memory Usage: 510 MB / 3641 MB (375 MB allocated, but free)
Java version: 1.8.0_20, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Djava.library.path=/Applications/JOSM.app/Contents/MacOS, -DLibraryDirectory=/Users/stereo/Library, -DDocumentsDirectory=/Users/stereo/Documents, -DApplicationSupportDirectory=/Users/stereo/Library/Application Support, -DCachesDirectory=/Users/stereo/Library/Caches, -DSandboxEnabled=false, -Dapple.laf.useScreenMenuBar=true, -Dcom.apple.macos.use-file-dialog-packages=true, -Dcom.apple.macos.useScreenMenuBar=true, -Dcom.apple.mrj.application.apple.menu.about.name=JOSM, -Dcom.apple.smallTabs=true]

Plugins:
- AddrInterpolation (30416)
- CommandLine (30523)
- DirectDownload (30416)
- DirectUpload (30416)
- FixAddresses (30416)
- HouseNumberTaggingTool (30416)
- OpeningHoursEditor (30609)
- PicLayer (30436)
- RoadSigns (30495)
- alignways (30416)
- areaselector (1409212713)
- buildings_tools (30485)
- cadastre-fr (30416)
- conflation (0.1.7)
- contourmerge (1010)
- dataimport (30416)
- download_along (30416)
- geotools (30569)
- imagery_offset_db (30534)
- importvec (30416)
- jts (30416)
- livegps (30506)
- mapdust (30502)
- merge-overlap (30416)
- mirrored_download (30495)
- namemanager (30416)
- notes (v0.9.4)
- opendata (30607)
- pdfimport (30416)
- public_transport (30416)
- reverter (30521)
- scripting (30700)
- surveyor (30440)
- tageditor (30488)
- terracer (30614)
- turnlanes (30416)
- turnrestrictions (30454)
- undelete (30416)
- utilsplugin2 (30460)

Last errors/warnings:
- E: Failed to locate image ''
- W: Detected deprecated 'canvas{background-color}' in 'https://josm.openstreetmap.de/josmfile?page=Styles/TreeCrownDiameter&style' which will be removed shortly. Use 'fill-color' instead.
- E: org.openstreetmap.josm.io.IllegalDataException: Illegal value for attribute 'version' on OSM primitive with ID 69718798. Got t4. (at line 18,168, column 152). Cause: org.openstreetmap.josm.io.OsmReader$OsmParsingException: Illegal value for attribute 'version' on OSM primitive with ID 69718798. Got t4. (at line 18,168, column 152). Cause: java.lang.NumberFormatException: For input string: "t4"

comment:7 Changed 5 years ago by Don-vip

Confirmed it's reproduced on Windows. It's very strange you don't reproduce it, skyper, it looks like a systematic issue all users should encounter:

INFO: GET http://osm.kewl.lu/luxembourg.osm/luxembourg-20140903_121227.osm.bz2
ERROR: org.openstreetmap.josm.io.OsmTransferException: org.openstreetmap.josm.io.IllegalDataException: Illegal value for attribute 'version' on OSM primitive with ID 69718798. Got t4. (at line 18,168, column 152). Cause: org.openstreetmap.josm.io.IllegalDataException: Illegal value for attribute 'version' on OSM primitive with ID 69718798. Got t4. (at line 18,168, column 152). Cause: org.openstreetmap.josm.io.OsmReader$OsmParsingException: Illegal value for attribute 'version' on OSM primitive with ID 69718798. Got t4. (at line 18,168, column 152). Cause: java.lang.NumberFormatException: For input string: "t4"
org.openstreetmap.josm.io.OsmTransferException: org.openstreetmap.josm.io.IllegalDataException: Illegal value for attribute 'version' on OSM primitive with ID 69718798. Got t4. (at line 18,168, column 152)
	at org.openstreetmap.josm.io.OsmServerLocationReader.doParse(OsmServerLocationReader.java:54)
	at org.openstreetmap.josm.io.OsmServerLocationReader.parseOsmBzip2(OsmServerLocationReader.java:70)
	at org.openstreetmap.josm.actions.downloadtasks.DownloadOsmCompressedTask$1.parseDataSet(DownloadOsmCompressedTask.java:52)
	at org.openstreetmap.josm.actions.downloadtasks.DownloadOsmTask$DownloadTask.realRun(DownloadOsmTask.java:192)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.doRealRun(PleaseWaitRunnable.java:82)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.run(PleaseWaitRunnable.java:150)
	at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
	at java.util.concurrent.FutureTask.run(Unknown Source)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
	at java.lang.Thread.run(Unknown Source)
Caused by: org.openstreetmap.josm.io.IllegalDataException: Illegal value for attribute 'version' on OSM primitive with ID 69718798. Got t4. (at line 18,168, column 152)
	at org.openstreetmap.josm.io.OsmReader.doParseDataSet(OsmReader.java:612)
	at org.openstreetmap.josm.io.OsmReader.parseDataSet(OsmReader.java:643)
	at org.openstreetmap.josm.io.OsmServerLocationReader$OsmParser.parse(OsmServerLocationReader.java:119)
	at org.openstreetmap.josm.io.OsmServerLocationReader$OsmParser.parse(OsmServerLocationReader.java:108)
	at org.openstreetmap.josm.io.OsmServerLocationReader.doParse(OsmServerLocationReader.java:48)
	... 10 more
Caused by: org.openstreetmap.josm.io.OsmReader$OsmParsingException: Illegal value for attribute 'version' on OSM primitive with ID 69718798. Got t4. (at line 18,168, column 152)
	at org.openstreetmap.josm.io.OsmReader.throwException(OsmReader.java:87)
	at org.openstreetmap.josm.io.OsmReader.readCommon(OsmReader.java:456)
	at org.openstreetmap.josm.io.OsmReader.parseNode(OsmReader.java:205)
	at org.openstreetmap.josm.io.OsmReader.parseOsm(OsmReader.java:150)
	at org.openstreetmap.josm.io.OsmReader.parseRoot(OsmReader.java:112)
	at org.openstreetmap.josm.io.OsmReader.parse(OsmReader.java:98)
	at org.openstreetmap.josm.io.OsmReader.doParseDataSet(OsmReader.java:593)
	... 14 more
Caused by: java.lang.NumberFormatException: For input string: "t4"
	at java.lang.NumberFormatException.forInputString(Unknown Source)
	at java.lang.Integer.parseInt(Unknown Source)
	at java.lang.Integer.parseInt(Unknown Source)
	at org.openstreetmap.josm.io.OsmReader.readCommon(OsmReader.java:454)
	... 19 more

I suspect a bug of our bz2 library.

Last edited 5 years ago by Don-vip (previous) (diff)

Changed 4 years ago by Hojoe

Attachment: Bzip2Test.java added

uncompress luxembourg-20140903_121227.osm.bz2

comment:8 Changed 4 years ago by Don-vip

In 7867/josm:

see #10448 - Upgrade Bzip2 library to latest version of Apache Commons Compress. The Bzip2 code inside Apache Ant is no longer maintained. Update also CONTRIBUTION and README files + Javadoc update in Utils.

comment:9 Changed 4 years ago by Don-vip

Keywords: bz2 bzip2 compression apache ant commons compress added

comment:10 Changed 4 years ago by Don-vip

In 7868/josm:

see #10448 - fix build.xml

comment:11 Changed 4 years ago by Don-vip

In 7869/josm:

see #10448 - code cleanup, better error message

comment:12 Changed 4 years ago by Don-vip

Keywords: javabug 7u76 8u31 added
Resolution: othersoftware
Status: newclosed

After a very long search it appears to be an infamous Java regression javabug:8059327 . That explains why skyper did not have the bug with Java 7u65. It looks like the bug affects:

Java 7:
up to 7u65: no problem
7u67, 7u71, 7u72: bug
7u76 (to be released 2015-01-19): should be OK

Java 8:
up to 8u11: no problem
8u20, 8u25: bug
8u31 (to be released 2015-01-19): should be OK

==> Confirmation in three weeks.

comment:13 Changed 4 years ago by Don-vip

Ticket #11212 has been marked as a duplicate of this ticket.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.